<template>
  <span class="user-name">{{ userName }}</span>
</template>

<script setup lang="ts">
import { computed } from "vue";
import { useStore } from "vuex";
const store = useStore();
const userName = computed(() => store.getters.getUserData.nickname);
</script>

<style scoped></style>
